## rust-glib 0.6.1

=== Makefile ===
GIR = gir/target/bin/gir
GIR_SRC = gir/Cargo.toml gir/Cargo.lock gir/build.rs $(shell find gir/src -name '*.rs')
GIR_FILES = gir-files/Glib-2.0.gir gir-files/GObject-2.0.gir

# Run `gir` generating the bindings
gir : src/auto/mod.rs src/gobject/auto/mod.rs

not_bound: $(GIR) $(GIR_FILES)
	$(GIR) -m not_bound -c Gir.toml

regen_check: $(GIR) $(GIR_FILES)
	rm src/auto/*
	$(GIR) -c Gir.toml
	git diff -R --exit-code

src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)
	$(GIR) -c Gir.toml

src/gobject/auto/mod.rs : Gir_GObject.toml $(GIR) $(GIR_FILES)
	$(GIR) -c Gir_GObject.toml

$(GIR) : $(GIR_SRC)
	rm -f gir/target/bin/gir
	cargo install --path gir --root gir/target
	rm -f gir/target/.crates.toml

$(GIR_SRC) $(GIR_FILES) :
	git submodule update --init

=== debian/changelog ===
rust-glib (0.6.1-1) unstable; urgency=medium

  * Package glib 0.6.1 from crates.io using debcargo 2.2.9

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Wed, 19 Dec 2018 08:44:28 +0100

rust-glib (0.6.0-2) unstable; urgency=medium

  * Package glib 0.6.0 from crates.io using debcargo 2.2.9
  * Disable futures preview feature

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Wed, 05 Dec 2018 16:35:46 +0100

rust-glib (0.6.0-1) unstable; urgency=medium

  * Package glib 0.6.0 from crates.io using debcargo 2.2.9

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Fri, 16 Nov 2018 13:02:29 +0100

=== debian/control ===
Source: rust-glib
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-glib-sys-0.7+default-dev <!nocheck>,
 librust-gobject-sys-0.7+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/glib]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/glib
Homepage: http://gtk-rs.org/

Package: librust-glib-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-glib-sys-0.7+default-dev,
 librust-gobject-sys-0.7+default-dev,
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev
Suggests:
 librust-glib+dox-dev (= ${binary:Version}),
 librust-glib+v2-34-dev (= ${binary:Version}),
 librust-glib+v2-36-dev (= ${binary:Version}),
 librust-glib+v2-38-dev (= ${binary:Version}),
 librust-glib+v2-40-dev (= ${binary:Version}),
 librust-glib+v2-44-dev (= ${binary:Version}),
 librust-glib+v2-46-dev (= ${binary:Version}),
 librust-glib+v2-48-dev (= ${binary:Version}),
 librust-glib+v2-50-dev (= ${binary:Version}),
 librust-glib+v2-52-dev (= ${binary:Version}),
 librust-glib+v2-54-dev (= ${binary:Version}),
 librust-glib+v2-56-dev (= ${binary:Version})
Provides:
 librust-glib+default-dev (= ${binary:Version}),
 librust-glib-0-dev (= ${binary:Version}),
 librust-glib-0+default-dev (= ${binary:Version}),
 librust-glib-0.6-dev (= ${binary:Version}),
 librust-glib-0.6+default-dev (= ${binary:Version}),
 librust-glib-0.6.1-dev (= ${binary:Version}),
 librust-glib-0.6.1+default-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - Rust source code
 This package contains the source for the Rust glib crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-glib+dox-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib-sys-0.7+dox-dev,
 librust-gobject-sys-0.7+dox-dev
Provides:
 librust-glib-0+dox-dev (= ${binary:Version}),
 librust-glib-0.6+dox-dev (= ${binary:Version}),
 librust-glib-0.6.1+dox-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "dox"
 This metapackage enables feature dox for the Rust glib crate, by pulling in any
 additional dependencies needed by that feature.

Package: librust-glib+v2-34-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib-sys-0.7+v2-34-dev,
 librust-gobject-sys-0.7+v2-34-dev
Provides:
 librust-glib-0+v2-34-dev (= ${binary:Version}),
 librust-glib-0.6+v2-34-dev (= ${binary:Version}),
 librust-glib-0.6.1+v2-34-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_34"
 This metapackage enables feature v2_34 for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-36-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-34-dev (= ${binary:Version}),
 librust-glib-sys-0.7+v2-36-dev,
 librust-gobject-sys-0.7+v2-36-dev
Provides:
 librust-glib-0+v2-36-dev (= ${binary:Version}),
 librust-glib-0.6+v2-36-dev (= ${binary:Version}),
 librust-glib-0.6.1+v2-36-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_36"
 This metapackage enables feature v2_36 for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-38-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-36-dev (= ${binary:Version}),
 librust-glib-sys-0.7+v2-38-dev,
 librust-gobject-sys-0.7+v2-38-dev
Provides:
 librust-glib-0+v2-38-dev (= ${binary:Version}),
 librust-glib-0.6+v2-38-dev (= ${binary:Version}),
 librust-glib-0.6.1+v2-38-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_38"
 This metapackage enables feature v2_38 for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-40-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-38-dev (= ${binary:Version}),
 librust-glib-sys-0.7+v2-40-dev
Provides:
 librust-glib-0+v2-40-dev (= ${binary:Version}),
 librust-glib-0.6+v2-40-dev (= ${binary:Version}),
 librust-glib-0.6.1+v2-40-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_40"
 This metapackage enables feature v2_40 for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-44-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-40-dev (= ${binary:Version}),
 librust-glib-sys-0.7+v2-44-dev,
 librust-gobject-sys-0.7+v2-44-dev
Provides:
 librust-glib-0+v2-44-dev (= ${binary:Version}),
 librust-glib-0.6+v2-44-dev (= ${binary:Version}),
 librust-glib-0.6.1+v2-44-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_44"
 This metapackage enables feature v2_44 for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-46-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-44-dev (= ${binary:Version}),
 librust-glib-sys-0.7+v2-46-dev,
 librust-gobject-sys-0.7+v2-46-dev
Provides:
 librust-glib-0+v2-46-dev (= ${binary:Version}),
 librust-glib-0.6+v2-46-dev (= ${binary:Version}),
 librust-glib-0.6.1+v2-46-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_46"
 This metapackage enables feature v2_46 for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-48-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-46-dev (= ${binary:Version}),
 librust-glib-sys-0.7+v2-48-dev
Provides:
 librust-glib-0+v2-48-dev (= ${binary:Version}),
 librust-glib-0.6+v2-48-dev (= ${binary:Version}),
 librust-glib-0.6.1+v2-48-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_48"
 This metapackage enables feature v2_48 for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-50-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-48-dev (= ${binary:Version}),
 librust-glib-sys-0.7+v2-50-dev
Provides:
 librust-glib-0+v2-50-dev (= ${binary:Version}),
 librust-glib-0.6+v2-50-dev (= ${binary:Version}),
 librust-glib-0.6.1+v2-50-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_50"
 This metapackage enables feature v2_50 for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-52-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-50-dev (= ${binary:Version}),
 librust-glib-sys-0.7+v2-52-dev
Provides:
 librust-glib-0+v2-52-dev (= ${binary:Version}),
 librust-glib-0.6+v2-52-dev (= ${binary:Version}),
 librust-glib-0.6.1+v2-52-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_52"
 This metapackage enables feature v2_52 for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-54-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-52-dev (= ${binary:Version}),
 librust-glib-sys-0.7+v2-54-dev,
 librust-gobject-sys-0.7+v2-54-dev
Provides:
 librust-glib-0+v2-54-dev (= ${binary:Version}),
 librust-glib-0.6+v2-54-dev (= ${binary:Version}),
 librust-glib-0.6.1+v2-54-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_54"
 This metapackage enables feature v2_54 for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-56-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-54-dev (= ${binary:Version}),
 librust-glib-sys-0.7+v2-56-dev
Provides:
 librust-glib-0+v2-56-dev (= ${binary:Version}),
 librust-glib-0.6+v2-56-dev (= ${binary:Version}),
 librust-glib-0.6.1+v2-56-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_56"
 This metapackage enables feature v2_56 for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

## rust-glib 0.8.1

=== debian/changelog ===
rust-glib (0.8.1-1) unstable; urgency=medium

  * Package glib 0.8.1 from crates.io using debcargo 2.4.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Tue, 23 Jul 2019 05:07:13 +0200

rust-glib (0.8.0-1) unstable; urgency=medium

  * Package glib 0.8.0 from crates.io using debcargo 2.3.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sun, 14 Jul 2019 10:16:01 +0200

=== debian/control ===
Source: rust-glib
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-glib-sys-0.9+default-dev <!nocheck>,
 librust-gobject-sys-0.9+default-dev <!nocheck>,
 librust-lazy-static-1+default-dev (>= 1.2-~~) <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/glib]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/glib
Homepage: http://gtk-rs.org/

Package: librust-glib-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-glib-sys-0.9+default-dev,
 librust-gobject-sys-0.9+default-dev,
 librust-lazy-static-1+default-dev (>= 1.2-~~),
 librust-libc-0.2+default-dev
Suggests:
 librust-glib+dox-dev (= ${binary:Version}),
 librust-glib+v2-44-dev (= ${binary:Version}),
 librust-glib+v2-46-dev (= ${binary:Version}),
 librust-glib+v2-48-dev (= ${binary:Version}),
 librust-glib+v2-50-dev (= ${binary:Version}),
 librust-glib+v2-52-dev (= ${binary:Version}),
 librust-glib+v2-54-dev (= ${binary:Version}),
 librust-glib+v2-56-dev (= ${binary:Version}),
 librust-glib+v2-58-dev (= ${binary:Version})
Provides:
 librust-glib+default-dev (= ${binary:Version}),
 librust-glib+subclassing-dev (= ${binary:Version}),
 librust-glib-0-dev (= ${binary:Version}),
 librust-glib-0+default-dev (= ${binary:Version}),
 librust-glib-0+subclassing-dev (= ${binary:Version}),
 librust-glib-0.8-dev (= ${binary:Version}),
 librust-glib-0.8+default-dev (= ${binary:Version}),
 librust-glib-0.8+subclassing-dev (= ${binary:Version}),
 librust-glib-0.8.1-dev (= ${binary:Version}),
 librust-glib-0.8.1+default-dev (= ${binary:Version}),
 librust-glib-0.8.1+subclassing-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - Rust source code
 This package contains the source for the Rust glib crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-glib+dox-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib-sys-0.9+dox-dev,
 librust-gobject-sys-0.9+dox-dev
Provides:
 librust-glib-0+dox-dev (= ${binary:Version}),
 librust-glib-0.8+dox-dev (= ${binary:Version}),
 librust-glib-0.8.1+dox-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "dox"
 This metapackage enables feature "dox" for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-44-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib-sys-0.9+v2-44-dev,
 librust-gobject-sys-0.9+v2-44-dev
Provides:
 librust-glib-0+v2-44-dev (= ${binary:Version}),
 librust-glib-0.8+v2-44-dev (= ${binary:Version}),
 librust-glib-0.8.1+v2-44-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_44"
 This metapackage enables feature "v2_44" for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-46-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-44-dev (= ${binary:Version}),
 librust-glib-sys-0.9+v2-46-dev,
 librust-gobject-sys-0.9+v2-46-dev
Provides:
 librust-glib-0+v2-46-dev (= ${binary:Version}),
 librust-glib-0.8+v2-46-dev (= ${binary:Version}),
 librust-glib-0.8.1+v2-46-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_46"
 This metapackage enables feature "v2_46" for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-48-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-46-dev (= ${binary:Version}),
 librust-glib-sys-0.9+v2-48-dev
Provides:
 librust-glib-0+v2-48-dev (= ${binary:Version}),
 librust-glib-0.8+v2-48-dev (= ${binary:Version}),
 librust-glib-0.8.1+v2-48-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_48"
 This metapackage enables feature "v2_48" for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-50-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-48-dev (= ${binary:Version}),
 librust-glib-sys-0.9+v2-50-dev
Provides:
 librust-glib-0+v2-50-dev (= ${binary:Version}),
 librust-glib-0.8+v2-50-dev (= ${binary:Version}),
 librust-glib-0.8.1+v2-50-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_50"
 This metapackage enables feature "v2_50" for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-52-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-50-dev (= ${binary:Version}),
 librust-glib-sys-0.9+v2-52-dev
Provides:
 librust-glib-0+v2-52-dev (= ${binary:Version}),
 librust-glib-0.8+v2-52-dev (= ${binary:Version}),
 librust-glib-0.8.1+v2-52-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_52"
 This metapackage enables feature "v2_52" for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-54-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-52-dev (= ${binary:Version}),
 librust-glib-sys-0.9+v2-54-dev,
 librust-gobject-sys-0.9+v2-54-dev
Provides:
 librust-glib-0+v2-54-dev (= ${binary:Version}),
 librust-glib-0.8+v2-54-dev (= ${binary:Version}),
 librust-glib-0.8.1+v2-54-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_54"
 This metapackage enables feature "v2_54" for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-56-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-54-dev (= ${binary:Version}),
 librust-glib-sys-0.9+v2-56-dev
Provides:
 librust-glib-0+v2-56-dev (= ${binary:Version}),
 librust-glib-0.8+v2-56-dev (= ${binary:Version}),
 librust-glib-0.8.1+v2-56-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_56"
 This metapackage enables feature "v2_56" for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-glib+v2-58-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-glib-dev (= ${binary:Version}),
 librust-glib+v2-56-dev (= ${binary:Version}),
 librust-glib-sys-0.9+v2-58-dev
Provides:
 librust-glib-0+v2-58-dev (= ${binary:Version}),
 librust-glib-0.8+v2-58-dev (= ${binary:Version}),
 librust-glib-0.8.1+v2-58-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - feature "v2_58"
 This metapackage enables feature "v2_58" for the Rust glib crate, by pulling in
 any additional dependencies needed by that feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.1 --all-targets --all-features
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.1 --all-targets --no-default-features
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.1 --all-targets --features dox
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+dox-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.1 --all-targets --features v2_44
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-44-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.1 --all-targets --features v2_46
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-46-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.1 --all-targets --features v2_48
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-48-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.1 --all-targets --features v2_50
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-50-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.1 --all-targets --features v2_52
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-52-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.1 --all-targets --features v2_54
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-54-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.1 --all-targets --features v2_56
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-56-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.1 --all-targets --features v2_58
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-58-dev
Restrictions: allow-stderr, skip-not-installable

## rust-glib 0.8.2

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,20 @@
 
 # Run `gir` generating the bindings
 gir : src/auto/mod.rs src/gobject/auto/mod.rs
+	cargo fmt
+
+doc: $(GIR) $(GIR_FILES)
+	$(GIR) -m doc -c Gir.toml
 
 not_bound: $(GIR) $(GIR_FILES)
 	$(GIR) -m not_bound -c Gir.toml
 
 regen_check: $(GIR) $(GIR_FILES)
 	rm src/auto/*
+	rm src/gobject/auto/*
 	$(GIR) -c Gir.toml
+	$(GIR) -c Gir_GObject.toml
+	cargo fmt
 	git diff -R --exit-code
 
 src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)

=== debian/changelog ===
rust-glib (0.8.2-1) unstable; urgency=medium

  * Package glib 0.8.2 from crates.io using debcargo 2.4.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sat, 28 Sep 2019 11:03:41 +0200

=== debian/control ===
--- 
+++ 
@@ -48,9 +48,9 @@
  librust-glib-0.8-dev (= ${binary:Version}),
  librust-glib-0.8+default-dev (= ${binary:Version}),
  librust-glib-0.8+subclassing-dev (= ${binary:Version}),
- librust-glib-0.8.1-dev (= ${binary:Version}),
- librust-glib-0.8.1+default-dev (= ${binary:Version}),
- librust-glib-0.8.1+subclassing-dev (= ${binary:Version})
+ librust-glib-0.8.2-dev (= ${binary:Version}),
+ librust-glib-0.8.2+default-dev (= ${binary:Version}),
+ librust-glib-0.8.2+subclassing-dev (= ${binary:Version})
 Description: Rust bindings for the GLib library - Rust source code
  This package contains the source for the Rust glib crate, packaged by debcargo
  for use with cargo and dh-cargo.
@@ -66,7 +66,7 @@
 Provides:
  librust-glib-0+dox-dev (= ${binary:Version}),
  librust-glib-0.8+dox-dev (= ${binary:Version}),
- librust-glib-0.8.1+dox-dev (= ${binary:Version})
+ librust-glib-0.8.2+dox-dev (= ${binary:Version})
 Description: Rust bindings for the GLib library - feature "dox"
  This metapackage enables feature "dox" for the Rust glib crate, by pulling in
  any additional dependencies needed by that feature.
@@ -82,7 +82,7 @@
 Provides:
  librust-glib-0+v2-44-dev (= ${binary:Version}),
  librust-glib-0.8+v2-44-dev (= ${binary:Version}),
- librust-glib-0.8.1+v2-44-dev (= ${binary:Version})
+ librust-glib-0.8.2+v2-44-dev (= ${binary:Version})
 Description: Rust bindings for the GLib library - feature "v2_44"
  This metapackage enables feature "v2_44" for the Rust glib crate, by pulling in
  any additional dependencies needed by that feature.
@@ -99,7 +99,7 @@
 Provides:
  librust-glib-0+v2-46-dev (= ${binary:Version}),
  librust-glib-0.8+v2-46-dev (= ${binary:Version}),
- librust-glib-0.8.1+v2-46-dev (= ${binary:Version})
+ librust-glib-0.8.2+v2-46-dev (= ${binary:Version})
 Description: Rust bindings for the GLib library - feature "v2_46"
  This metapackage enables feature "v2_46" for the Rust glib crate, by pulling in
  any additional dependencies needed by that feature.
@@ -115,7 +115,7 @@
 Provides:
  librust-glib-0+v2-48-dev (= ${binary:Version}),
  librust-glib-0.8+v2-48-dev (= ${binary:Version}),
- librust-glib-0.8.1+v2-48-dev (= ${binary:Version})
+ librust-glib-0.8.2+v2-48-dev (= ${binary:Version})
 Description: Rust bindings for the GLib library - feature "v2_48"
  This metapackage enables feature "v2_48" for the Rust glib crate, by pulling in
  any additional dependencies needed by that feature.
@@ -131,7 +131,7 @@
 Provides:
  librust-glib-0+v2-50-dev (= ${binary:Version}),
  librust-glib-0.8+v2-50-dev (= ${binary:Version}),
- librust-glib-0.8.1+v2-50-dev (= ${binary:Version})
+ librust-glib-0.8.2+v2-50-dev (= ${binary:Version})
 Description: Rust bindings for the GLib library - feature "v2_50"
  This metapackage enables feature "v2_50" for the Rust glib crate, by pulling in
  any additional dependencies needed by that feature.
@@ -147,7 +147,7 @@
 Provides:
  librust-glib-0+v2-52-dev (= ${binary:Version}),
  librust-glib-0.8+v2-52-dev (= ${binary:Version}),
- librust-glib-0.8.1+v2-52-dev (= ${binary:Version})
+ librust-glib-0.8.2+v2-52-dev (= ${binary:Version})
 Description: Rust bindings for the GLib library - feature "v2_52"
  This metapackage enables feature "v2_52" for the Rust glib crate, by pulling in
  any additional dependencies needed by that feature.
@@ -164,7 +164,7 @@
 Provides:
  librust-glib-0+v2-54-dev (= ${binary:Version}),
  librust-glib-0.8+v2-54-dev (= ${binary:Version}),
- librust-glib-0.8.1+v2-54-dev (= ${binary:Version})
+ librust-glib-0.8.2+v2-54-dev (= ${binary:Version})
 Description: Rust bindings for the GLib library - feature "v2_54"
  This metapackage enables feature "v2_54" for the Rust glib crate, by pulling in
  any additional dependencies needed by that feature.
@@ -180,7 +180,7 @@
 Provides:
  librust-glib-0+v2-56-dev (= ${binary:Version}),
  librust-glib-0.8+v2-56-dev (= ${binary:Version}),
- librust-glib-0.8.1+v2-56-dev (= ${binary:Version})
+ librust-glib-0.8.2+v2-56-dev (= ${binary:Version})
 Description: Rust bindings for the GLib library - feature "v2_56"
  This metapackage enables feature "v2_56" for the Rust glib crate, by pulling in
  any additional dependencies needed by that feature.
@@ -196,7 +196,7 @@
 Provides:
  librust-glib-0+v2-58-dev (= ${binary:Version}),
  librust-glib-0.8+v2-58-dev (= ${binary:Version}),
- librust-glib-0.8.1+v2-58-dev (= ${binary:Version})
+ librust-glib-0.8.2+v2-58-dev (= ${binary:Version})
 Description: Rust bindings for the GLib library - feature "v2_58"
  This metapackage enables feature "v2_58" for the Rust glib crate, by pulling in
  any additional dependencies needed by that feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.2 --all-targets --all-features
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.2 --all-targets --no-default-features
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.2 --all-targets --features dox
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+dox-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.2 --all-targets --features v2_44
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-44-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.2 --all-targets --features v2_46
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-46-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.2 --all-targets --features v2_48
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-48-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.2 --all-targets --features v2_50
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-50-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.2 --all-targets --features v2_52
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-52-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.2 --all-targets --features v2_54
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-54-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.2 --all-targets --features v2_56
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-56-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.8.2 --all-targets --features v2_58
Depends: dh-cargo (>= 18), librust-tempfile-3+default-dev, librust-glib+v2-58-dev
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/glib-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/glib .*/crates/glib/@ANY_VERSION@/download

## rust-glib 0.14.8

=== debian/changelog ===
rust-glib (0.14.8-1) unstable; urgency=medium

  * Team upload.
  * Package glib 0.14.8 from crates.io using debcargo 2.4.4
  * d/patches: removed patch remove-futures-preview-feature.diff

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Tue, 28 Dec 2021 18:15:57 +0000

=== debian/control ===
Source: rust-glib
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev <!nocheck>,
 librust-futures-channel-0.3+default-dev <!nocheck>,
 librust-futures-core-0.3-dev <!nocheck>,
 librust-futures-executor-0.3+default-dev <!nocheck>,
 librust-futures-task-0.3-dev <!nocheck>,
 librust-glib-macros-0.14+default-dev <!nocheck>,
 librust-glib-sys-0.14+default-dev <!nocheck>,
 librust-gobject-sys-0.14+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-smallvec-1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/glib]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/glib
Homepage: https://gtk-rs.org/
Rules-Requires-Root: no

Package: librust-glib-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev,
 librust-futures-channel-0.3+default-dev,
 librust-futures-core-0.3-dev,
 librust-futures-executor-0.3+default-dev,
 librust-futures-task-0.3-dev,
 librust-glib-macros-0.14+default-dev,
 librust-glib-sys-0.14+default-dev,
 librust-glib-sys-0.14+dox-dev,
 librust-glib-sys-0.14+v2-50-dev,
 librust-glib-sys-0.14+v2-52-dev,
 librust-glib-sys-0.14+v2-54-dev,
 librust-glib-sys-0.14+v2-56-dev,
 librust-glib-sys-0.14+v2-58-dev,
 librust-glib-sys-0.14+v2-60-dev,
 librust-glib-sys-0.14+v2-62-dev,
 librust-glib-sys-0.14+v2-64-dev,
 librust-glib-sys-0.14+v2-66-dev,
 librust-glib-sys-0.14+v2-68-dev,
 librust-gobject-sys-0.14+default-dev,
 librust-gobject-sys-0.14+dox-dev,
 librust-gobject-sys-0.14+v2-54-dev,
 librust-gobject-sys-0.14+v2-58-dev,
 librust-gobject-sys-0.14+v2-62-dev,
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-once-cell-1+default-dev,
 librust-smallvec-1+default-dev
Provides:
 librust-glib+default-dev (= ${binary:Version}),
 librust-glib+dox-dev (= ${binary:Version}),
 librust-glib+log-dev (= ${binary:Version}),
 librust-glib+log-macros-dev (= ${binary:Version}),
 librust-glib+rs-log-dev (= ${binary:Version}),
 librust-glib+v2-50-dev (= ${binary:Version}),
 librust-glib+v2-52-dev (= ${binary:Version}),
 librust-glib+v2-54-dev (= ${binary:Version}),
 librust-glib+v2-56-dev (= ${binary:Version}),
 librust-glib+v2-58-dev (= ${binary:Version}),
 librust-glib+v2-60-dev (= ${binary:Version}),
 librust-glib+v2-62-dev (= ${binary:Version}),
 librust-glib+v2-64-dev (= ${binary:Version}),
 librust-glib+v2-66-dev (= ${binary:Version}),
 librust-glib+v2-68-dev (= ${binary:Version}),
 librust-glib-0-dev (= ${binary:Version}),
 librust-glib-0+default-dev (= ${binary:Version}),
 librust-glib-0+dox-dev (= ${binary:Version}),
 librust-glib-0+log-dev (= ${binary:Version}),
 librust-glib-0+log-macros-dev (= ${binary:Version}),
 librust-glib-0+rs-log-dev (= ${binary:Version}),
 librust-glib-0+v2-50-dev (= ${binary:Version}),
 librust-glib-0+v2-52-dev (= ${binary:Version}),
 librust-glib-0+v2-54-dev (= ${binary:Version}),
 librust-glib-0+v2-56-dev (= ${binary:Version}),
 librust-glib-0+v2-58-dev (= ${binary:Version}),
 librust-glib-0+v2-60-dev (= ${binary:Version}),
 librust-glib-0+v2-62-dev (= ${binary:Version}),
 librust-glib-0+v2-64-dev (= ${binary:Version}),
 librust-glib-0+v2-66-dev (= ${binary:Version}),
 librust-glib-0+v2-68-dev (= ${binary:Version}),
 librust-glib-0.14-dev (= ${binary:Version}),
 librust-glib-0.14+default-dev (= ${binary:Version}),
 librust-glib-0.14+dox-dev (= ${binary:Version}),
 librust-glib-0.14+log-dev (= ${binary:Version}),
 librust-glib-0.14+log-macros-dev (= ${binary:Version}),
 librust-glib-0.14+rs-log-dev (= ${binary:Version}),
 librust-glib-0.14+v2-50-dev (= ${binary:Version}),
 librust-glib-0.14+v2-52-dev (= ${binary:Version}),
 librust-glib-0.14+v2-54-dev (= ${binary:Version}),
 librust-glib-0.14+v2-56-dev (= ${binary:Version}),
 librust-glib-0.14+v2-58-dev (= ${binary:Version}),
 librust-glib-0.14+v2-60-dev (= ${binary:Version}),
 librust-glib-0.14+v2-62-dev (= ${binary:Version}),
 librust-glib-0.14+v2-64-dev (= ${binary:Version}),
 librust-glib-0.14+v2-66-dev (= ${binary:Version}),
 librust-glib-0.14+v2-68-dev (= ${binary:Version}),
 librust-glib-0.14.8-dev (= ${binary:Version}),
 librust-glib-0.14.8+default-dev (= ${binary:Version}),
 librust-glib-0.14.8+dox-dev (= ${binary:Version}),
 librust-glib-0.14.8+log-dev (= ${binary:Version}),
 librust-glib-0.14.8+log-macros-dev (= ${binary:Version}),
 librust-glib-0.14.8+rs-log-dev (= ${binary:Version}),
 librust-glib-0.14.8+v2-50-dev (= ${binary:Version}),
 librust-glib-0.14.8+v2-52-dev (= ${binary:Version}),
 librust-glib-0.14.8+v2-54-dev (= ${binary:Version}),
 librust-glib-0.14.8+v2-56-dev (= ${binary:Version}),
 librust-glib-0.14.8+v2-58-dev (= ${binary:Version}),
 librust-glib-0.14.8+v2-60-dev (= ${binary:Version}),
 librust-glib-0.14.8+v2-62-dev (= ${binary:Version}),
 librust-glib-0.14.8+v2-64-dev (= ${binary:Version}),
 librust-glib-0.14.8+v2-66-dev (= ${binary:Version}),
 librust-glib-0.14.8+v2-68-dev (= ${binary:Version})
Description: Rust bindings for the GLib library - Rust source code
 This package contains the source for the Rust glib crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.14.8 --all-targets --all-features
Features: test-name=rust-glib:@
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.14.8 --all-targets 
Features: test-name=librust-glib-dev:default
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.14.8 --all-targets --no-default-features --features dox
Features: test-name=librust-glib-dev:dox
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.14.8 --all-targets --no-default-features --features log
Features: test-name=librust-glib-dev:log
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.14.8 --all-targets --no-default-features --features log_macros
Features: test-name=librust-glib-dev:log_macros
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.14.8 --all-targets --no-default-features --features rs-log
Features: test-name=librust-glib-dev:rs-log
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.14.8 --all-targets --no-default-features --features v2_50
Features: test-name=librust-glib-dev:v2_50
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.14.8 --all-targets --no-default-features --features v2_52
Features: test-name=librust-glib-dev:v2_52
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.14.8 --all-targets --no-default-features --features v2_54
Features: test-name=librust-glib-dev:v2_54
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test glib 0.14.8 --all-targets --no-default-features --features v2_56
Features: test-name=librust-glib-dev:v2_56
Depends: dh-cargo (>= 18), librust-futures-util-0.3+default-dev, librust-tempfile-3+default-dev, @
